Bug 1128052 - [test plan] Click link on case summary in add case to plan page, system reports TypeError.
Summary: [test plan] Click link on case summary in add case to plan page, system repor...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Application
Version: 3.8.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.8.10
Assignee: Yang Ren
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 07:38 UTC by yangqiu
Modified: 2018-07-04 21:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
[test plan] Click link on case summary in add case to plan page, system reports TypeError. (162.09 KB, image/jpeg)
2014-08-08 07:38 UTC, yangqiu
no flags Details

Description yangqiu 2014-08-08 07:38:09 UTC
Created attachment 925104 [details]
[test plan] Click link on case summary in add case to plan page, system reports TypeError.

Description of problem:
as summary.

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server.

How reproducible:
100%

Steps to Reproduce:
1.Enter test plan detail page, click 'add case from other plan' link to access case quick search page.
https://tcms-devel.app.eng.nay.redhat.com/plan/10137/cases/?a=link_cases
2.Input case_id like 293342, click search btn.
3.Click link on case summary.

Actual results:
system reports TypeError, like:
Uncaught TypeError: Cannot call method 'toggle' of undefined 

Expected results:
system go to case detail page.

Additional info:

Comment 1 Xu Lei 2014-08-11 03:11:57 UTC
verified, a wrong callback with toggleTestCaseContents() in plan/search_case.html, drop it.

Comment 2 yangqiu 2014-08-12 08:32:24 UTC
verify this issue on v3.8.10-1 on devel server.---Pass
verify steps are same as description.


Note You need to log in before you can comment on or make changes to this bug.